std::pointer_to_unary_function< _Arg, _Result >(3cxx)

NAME
std::pointer_to_unary_function< _Arg, _Result > - One of the adaptors for function pointers.

SYNOPSIS

#include <stl_function.h>

Inherits std::unary_function< _Arg, _Result >.

  Public Types

typedef _Arg argument_type
argument_type is the type of the argument
typedef _Result result_type
result_type is the return type

  Public Member Functions

pointer_to_unary_function (_Result(*__x)(_Arg))
_Result operator() (_Arg __x) const

  Protected Attributes

_Result(* _M_ptr )(_Arg)

Detailed Description

  template<typename _Arg, typename _Result>
class std::pointer_to_unary_function< _Arg, _Result >"One of the adaptors for function pointers.

Definition at line 1080 of file stl_function.h.

Member Typedef Documentation

  template<typename _Arg , typename _Result > typedef _Arg std::unary_function< _Arg, _Result >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  template<typename _Arg , typename _Result > typedef _Result std::unary_function< _Arg, _Result >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Constructor & Destructor Documentation

  template<typename _Arg , typename _Result > std::pointer_to_unary_function< _Arg, _Result >::pointer_to_unary_function () [inline]

Definition at line 1086 of file stl_function.h.

  template<typename _Arg , typename _Result > std::pointer_to_unary_function< _Arg, _Result >::pointer_to_unary_function (_Result(*)(_Arg) __x) [inline], [explicit]

Definition at line 1089 of file stl_function.h.

Member Function Documentation

  template<typename _Arg , typename _Result > _Result std::pointer_to_unary_function< _Arg, _Result >::operator() (_Arg __x) const [inline]

Definition at line 1093 of file stl_function.h.

Member Data Documentation

  template<typename _Arg , typename _Result > _Result(* std::pointer_to_unary_function< _Arg, _Result >::_M_ptr) (_Arg) [protected]

Definition at line 1083 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.